sylius_admin:
    resource: "@SyliusAdminBundle/Resources/config/routing.yml"
    prefix: '/%sylius_admin.path_name%'

sylius_paypal_admin:
    resource: "@SyliusPayPalPlugin/Resources/config/admin_routing.yml"
    prefix: '/%sylius_admin.path_name%'

admin_supplier_index:
    path: /admin/suppliers
    controller: App\Controller\Admin\SupplierController::index
    methods: [GET]

admin_supplier_create:
    path: /admin/suppliers/create
    controller: App\Controller\Admin\SupplierController::create
    methods: [GET, POST]

admin_supplier_edit:
    path: /admin/suppliers/{id}/edit
    controller: App\Controller\Admin\SupplierController::edit
    methods: [GET, POST]

admin_supplier_delete:
    path: /admin/suppliers/{id}/delete
    controller: App\Controller\Admin\SupplierController::delete

# Bulk product import UI
admin_product_import_form:
    path: /admin/product-import
    controller: App\Controller\Admin\ProductBulkImportController::form
    methods: [GET]

admin_product_import_start:
    path: /admin/product-import
    controller: App\Controller\Admin\ProductBulkImportController::start
    methods: [POST]

admin_product_import_confirm:
    path: /admin/product-import/confirm
    controller: App\Controller\Admin\ProductBulkImportController::confirm
    methods: [POST]

admin_product_import_progress:
    path: /admin/product-import/progress/{jobId}
    controller: App\Controller\Admin\ProductBulkImportController::progressPage
    methods: [GET]

admin_product_import_progress_json:
    path: /admin/product-import/progress/{jobId}/json
    controller: App\Controller\Admin\ProductBulkImportController::progressJson
    methods: [GET]

# Variant photos UI
admin_variant_photos_index:
    path: /admin/variant-photos
    controller: App\Controller\Admin\VariantPhotoController::index
    methods: [GET]

admin_variant_photos_upload:
    path: /admin/variant-photos
    controller: App\Controller\Admin\VariantPhotoController::upload
    methods: [POST]
